# BEGIN SourceDeps(oneline):
BuildRequires: pkgconfig(vte-2.90)
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# %%name and %%version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name giggle
%define version 0.7
%define major 0
%define libname lib%{name}%{major}
%define develname lib%{name}-devel

%define url_ver	%(echo %{version} | cut -d. -f1,2)

Summary:	Gtk frontend for git
Name:		giggle
Version:	0.7
Release:	alt2_12
License:	GPLv2+
Group:		Development/Other
URL:		https://wiki.gnome.org/giggle
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		giggle-0.7-gtksourceview-3.8.patch
Patch1:		giggle-0.7-gettext-usage.patch
Patch2:		giggle-0.7-vte2.91.patch
Patch3:		giggle-0.7-fix-build-with-gcc-10.patch
BuildRequires:	pkgconfig(gdk-3.0) >= 3.3.12
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.22
BuildRequires:	pkgconfig(gio-2.0) >= 2.30
BuildRequires:	pkgconfig(glib-2.0) >= 2.30
BuildRequires:	pkgconfig(gthread-2.0) >= 2.30
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.3.12
BuildRequires:	pkgconfig(gtksourceview-3.0) >= 3.8
BuildRequires:	pkgconfig(libebook-1.2) >= 3.2
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	intltool >= 0.40.0
BuildRequires:	git-core git-cvs
BuildRequires:	itstool
BuildRequires:	yelp-tools
BuildRequires:	xml-utils
BuildRequires:	xsltproc
BuildRequires:	gnome-common
Requires:	git-core git-cvs
Source44: import.info

%description
Giggle is a graphical frontend for the git directory tracker.

%package -n %{libname}
Summary:	%{summary}
Group:		System/Libraries

%description -n %{libname}
Giggle is a graphical frontend for the git directory tracker.

%package -n %{develname}
Summary:	%{summary}
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
Giggle is a graphical frontend for the git directory tracker.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1


%build
NOCONFIGURE=yes gnome-autogen.sh
%configure --disable-static
%make_build

%install
%makeinstall_std

%find_lang %{name} --with-gnome

find %{buildroot} -name '*.la' -delete

%files -f %{name}.lang
%doc AUTHORS README NEWS ChangeLog
%{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/plugins/%{version}
%{_libdir}/%{name}/plugins/%{version}/libpersonal-details*
%{_libdir}/%{name}/plugins/%{version}/libterminal-view*
%{_libdir}/%{name}/plugins/%{version}/*.xml
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*

%files -n %{libname}
%{_libdir}/libgiggle.so.%{major}*
%{_libdir}/libgiggle-git.so.%{major}*

%files -n %develname
%{_libdir}/libgiggle.so
%{_libdir}/libgiggle-git.so
%{_includedir}/%{name}/


%changelog
* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.7-alt2_12
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.7-alt2_11
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.7-alt2_10
- update by mgaimport

* Thu Mar 22 2018 Igor Vlasenko <viy@altlinux.ru> 0.7-alt2_9
- new version

* Fri Mar 29 2013 Yuri N. Sedunov <aris@altlinux.org> 0.7-alt2
- rebuilt against libgtksourceview-3.0-so.1

* Sat Nov 10 2012 Vladimir Lettiev <crux@altlinux.ru> 0.7-alt1
- 0.7
- dropped patches
- disabled build with libebook

* Tue Oct 02 2012 Vladimir Lettiev <crux@altlinux.ru> 0.6.1-alt3
- fixed build with new libebook

* Thu Mar 29 2012 Yuri N. Sedunov <aris@altlinux.org> 0.6.1-alt2
- rebuild against libebook-1.2.so.13

* Thu Oct 27 2011 Yuri N. Sedunov <aris@altlinux.org> 0.6.1-alt1
- 0.6.1

* Fri Oct 21 2011 Yuri N. Sedunov <aris@altlinux.org> 0.6-alt1
- 0.6
- updated buildreqs

* Mon Oct 11 2010 Vladimir Lettiev <crux@altlinux.ru> 0.5-alt2
- rebuild

* Sat Apr 24 2010 Vladimir Lettiev <crux@altlinux.ru> 0.5-alt1
- New version 0.5

* Sun Mar 14 2010 Vladimir Lettiev <crux@altlinux.ru> 0.4.97-alt1
- New version 0.4.97

* Wed Mar 03 2010 Vladimir Lettiev <crux@altlinux.ru> 0.4.96-alt1
- New version 0.4.96
- 001-Replace_deprecated_GtkSourceView_function.patch merged upstream

* Mon Jan 18 2010 Vladimir Lettiev <crux@altlinux.ru> 0.4.91-alt2
- fix build

* Mon Apr 13 2009 Vladimir Lettiev <crux@altlinux.ru> 0.4.91-alt1
- new version
- build devel subpackage

* Wed Jan 09 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.4-alt2
- add missed library to package
- fix #13940

* Tue Dec 25 2007 Eugene Ostapets <eostapets@altlinux.org> 0.4-alt1
- 0.4

* Sun Jun 17 2007 Eugene Ostapets <eostapets@altlinux.ru> 0.3-alt1
- new version
- fix 11803

* Mon Apr 30 2007 Eugene Ostapets <eostapets@altlinux.ru> 0.2-alt0.1
- first build
